Skip To Content

Системные требования ArcGIS Enterprise SDK 10.8.x

Системные требования и требования к аппаратному обеспечению, необходимые для запуска ArcGIS Enterprise SDK, приведены ниже.

Рекомендуется ознакомиться с уведомлением об исключении компонентов , чтобы определить, совместимо ли ваше оборудование и компоненты ПО с версиями 10.8 и 10.8.1.

Требования к ОС

Следующие 64-разрядные операционные системы удовлетворяют минимальным требованиям к операционным системам. Программа установки работает только на 64-разрядной операционной системе; 32-разрядные операционные системы не поддерживаются.

Поддерживаемая операционная системаПоследние протестированные обновления или пакеты обновлений

Windows Server 2019 Standard и Datacenter

Обновления от июня 2020 г.

Windows Server 2016 Standard и Datacenter

Обновления от июня 2020 г.

Windows Server 2012 R2 Standard и Datacenter

Обновления от июня 2020 г.

Windows Server 2012 Standard и Datacenter

Обновления от июня 2020 г.

Предыдущие и будущие обновления и пакеты обновлений в данной операционной системе поддерживаются, если не указано иначе. Обновления и версия операционной системы также должны поддерживаться поставщиком системы.

Примечание:

Опция Desktop Experience требуется для всех версий Windows Server.

Поддерживаемая операционная системаПоследние протестированные обновления или пакеты обновлений

Windows 10 Pro и Enterprise (64-разрядная [EM64T])

Обновления от июня 2020 г.

Windows 8.1 Pro и Enterprise (64-разрядная [EM64T])

Обновления от июня 2020 г.

Требования к дисковому пространству

Для Enterprise SDK со всеми функциями для .NET на Microsoft Windows необходимо примерно 550 Мб дискового пространства.

Для Enterprise SDK со всеми функциями для Java необходимо примерно 250 MB Мб дискового пространства.

Требования к компонентам (SDK) для разработчиков

Платформа разработкиПоддерживаемые и рекомендуемые IDEТребования к SDK

.NET

Шаблоны Visual Studio (содержащие шаблонный код) поставляются вместе с Enterprise SDK для .NET Platform и поддерживаются в перечисленных далее IDE.

  • Microsoft Visual Studio 2019 (C#, VB.NET) Community, Professional, Enterprise
  • Microsoft Visual Studio 2017 (C#, VB.NET) Community, Professional, Enterprise

При развертывании SOE необходим ArcGIS Server, а при публикации картографических сервисов необходим ArcGIS Pro. Однако ArcGIS Server и ArcGIS Pro не должны быть обязательно установлены на той же машине, где установлен ArcGIS Enterprise SDK, они могут быть на уделенных машинах.

Microsoft .NET Framework 4.5.2 или более новая

Java

В ArcGIS 10.8.1, ArcGIS Enterprise SDK использует для построения проектов и управления среду Maven framework for Java. Можно использовать большинство Java IDE, которые поддерживают Maven framework и JDK 11, например IntelliJ, Eclipse или NetBeans. Рекомендованы следующие IDE:

  • IntelliJ IDEA Ultimate (версия 2019.3.4 или новее)
  • IntelliJ IDEA Community (версия 2019.3.4 или новее)
  • Eclipse IDE for Java Developers (версия 2019-12 или новее)
  • Eclipse IDE for Java EE Developers (версия 2019-12 или новее)

В ArcGIS 10.8 плагин Eclipse предоставляется вместе с ArcGIS Enterprise SDK для платформы Java. Плагин Eclipse обеспечивает улучшенный интерфейс за счет использования шаблонов, мастеров проекта и встроенных примеров. Он поддерживается в IDE, перечисленных ниже:

  • Eclipse Photon (4.8) IDE for Java Developers
  • Eclipse Photon (4.8) IDE for Java EE Developers
  • Eclipse Oxygen (4.7) IDE for Java Developers
  • Eclipse Oxygen (4.7) for Java EE Developers

Для развертывании SOE или SOI необходим ArcGIS Server, а для публикации сервисов необходим ArcGIS Pro. Однако ArcGIS Server и ArcGIS Pro не должны быть обязательно установлены на той же машине, где установлен ArcGIS Enterprise SDK, они могут быть на уделенных машинах.

В ArcGIS 10.8.1 Java DevelopmentKit (JDK) версии 11.0.6 или более новые версии JDK 11 поддерживаются при создании SOE и SOI. Создание SOE или SOI с Java 12 или выше не поддерживается. Поддерживается Maven 3.6.1 или новее.

В ArcGIS 10.8 Java DevelopmentKit (JDK) версии 8 Update 191 или более новые версии JDK 8 поддерживаются при создании SOE и SOI Создание SOE или SOI с Java 9 или новее не поддерживается.